Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class CachingImplicitDependencies

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.CachingImplicitDependencies

All Implemented Interfaces:
  `IImplicitDependencies`

    public class CachingImplicitDependencies
    extends Object
    implements IImplicitDependencies

An implementation of the `IImplicitDependencies` that delegates the respective dependency calculation to a given object and caches the results to increase performance.

### Constructor Summary

Constructors
`CachingImplicitDependencies​(IImplicitDependencies delegate)` Creates a new caching instance that delegates the dependency calculation to the given object and caches the results to increase performance.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<URI>` `of​(URI uri, URIConverter uriConverter)` Provides a set continaing the given URI plus its implicit dependencies (those that cannot be found by instpecting the cross-references of the resource represented by the given URI).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachingImplicitDependencies

    public CachingImplicitDependencies​(IImplicitDependencies delegate)

Creates a new caching instance that delegates the dependency calculation to the given object and caches the results to increase performance.

Parameters:
  `delegate` - The delegate performing the dependency calculation.

### Method Detail

#### of

    public Set<URI> of​(URI uri,
                       URIConverter uriConverter)

Description copied from interface: `IImplicitDependencies`
Provides a set continaing the given URI plus its implicit dependencies (those that cannot be found by instpecting the cross-references of the resource represented by the given URI).

Specified by:
  `of` in interface `IImplicitDependencies`
Parameters:
  `uri` - URI of a model resource for which we want the set of related dependencies
  `uriConverter` - URI Converter to use
Returns:
  Must return a Set that's never null nor empty, that contains at least the given uri, plus its implicit dependencies if it has any..